<?php
////////////////////////////////////////////////////////////////
// File:      plugin.99.forcemod.php , adapted for Fast from a aseco Yorkshire plugin
// Date:      23.12.2008
// Author:    adapted by Slig for Fast, from an aseco Yorkshire plugin
//            (http://www.tm-forum.com/viewtopic.php?p=132930#p132930)
//            see tm-forum post : http://www.tm-forum.com/viewtopic.php?f=126&t=19311
////////////////////////////////////////////////////////////////
//
// This plugin will force random mods.
//
// It can also be used to just customize load screens, simply by setting fake mods
// which just contain the load screen.
// NBA's note for simple loadscreen: the mod zip you have to name yourself,
//       and it will be the name of the mod, like yourmod.zip. Inside you have
//       to put a catalog called 'image', and within that catalog you put the file
//       'LoadScreen.dds', which you made yourself.
//
// Install:   - put the .php file in 'plugins' dir,
//              or in 'custom' dir (in such case add 'custom' or 'mymessage' in
//              the $_EnabledPlugins array of fast.php file
//            - edit the file to customize mods list

registerPlugin('forcemod',99);
global $_forcemod_list;

// Note: for each environment indicate a list of valid mods urls in $_forcemod_list array !
//       the default values are not valid : you have to set other ones !!!
$_forcemod_list = array(
   'Stadium' => array(
      'http://your.mod.url/StadiumLoadMod.zip'
   ),
   'Island' => array(
      'http://your.mod.url/IslandLoadMod.zip'
   ),
   'Speed' => array(
      'http://your.mod.url/SpeedLoadMod.zip'
   ),
   'Rally' => array(
      'http://your.mod.url/RallyLoadMod.zip'
   ),
   'Bay' => array(
      'http://your.mod.url/BayLoadMod.zip'
   ),
   'Coast' => array(
      'http://your.mod.url/CoastLoadMod.zip'
   ),
   'Alpine' => array(
      'http://your.mod.url/AlpineLoadMod.zip'
   )
);


function forcemodInit($event){
   forcemodEndRace($event);
}


function forcemodEndRace($event){
   global $_forcemod_list;
   console("forcemod.Event[$event]:: set forced mods");

   $modCalls = array();
   foreach(array_keys($_forcemod_list) as $envir){
      $num = count($_forcemod_list[$envir]);
      if($num > 0){
         $idx = rand(0, $num-1); // random index in envir mods list
         $modCalls[] = array('Env'=>$envir, 'Url'=>$_forcemod_list[$envir][$idx]);
      }
   }
   //debugPrint("forcemodEndRace:: modCalls",$modCalls);
   addCall(true,'SetForcedMods', true, $modCalls);
}

?>